:root {
    --navigation-height: 55px;

    --uwebi-primary: #143233;
    /* Dark green */
    --uwebi-primary-rgb: 20, 50, 51;

    --uwebi-blue: #A9DDFF;
    --uwebi-blue-rgb: 169, 221, 255;

    --uwebi-light-green: #AAFFC6;
    --uwebi-light-green-rgb: 170, 255, 198;

    --uwebi-first-contrast: #213B3C;
    --uwebi-first-contrast-rgb: 33, 59, 60;

    --uwebi-second-contrast: #395A5C;
    --uwebi-second-contrast-rgb: 57, 90, 92;

    --uwebi-third-contrast: #0A2526;
    --uwebi-third-contrast-rgb: 10, 37, 38;

    --uwebi-fourth-contrast: #021617;
    --uwebi-fourth-contrast-rgb: 2, 22, 23;

    --uwebi-font-primary: #F9FBFD;
    --uwebi-font-primary-rgb: 249, 251, 253;

    --uwebi-font-secondary: #b9bdc0;
    --uwebi-font-secondary-rgb: 185, 189, 192;

    --gradient: linear-gradient(108deg, #0894FF, #C959DD 34%, #FF2E54 68%, #FF9004);

    /* --uwebi-gradient-1: linear-gradient(135deg, var(--uwebi-blue), var(--uwebi-light-green)); */
}

.theme-light {
    --uwebi-primary: #F4FAFF;
    --uwebi-primary-rgb: 244, 250, 255;

    --uwebi-blue: #2F7FD9;
    --uwebi-blue-rgb: 47, 127, 217;

    --uwebi-light-green: #2FAE8F;
    --uwebi-light-green-rgb: 47, 174, 143;

    --uwebi-first-contrast: #FFFFFF;
    --uwebi-first-contrast-rgb: 255, 255, 255;

    --uwebi-second-contrast: #E6EEF2;
    --uwebi-second-contrast-rgb: 230, 238, 242;

    --uwebi-third-contrast: #D5E3EA;
    --uwebi-third-contrast-rgb: 213, 227, 234;

    --uwebi-fourth-contrast: #C3D4DC;
    --uwebi-fourth-contrast-rgb: 195, 212, 220;

    --uwebi-font-primary: #143233;
    --uwebi-font-primary-rgb: 20, 50, 51;

    --uwebi-font-secondary: #4F6466;
    --uwebi-font-secondary-rgb: 79, 100, 102;
}

html {
    scroll-behavior: smooth;
    /* scroll-snap-type: y mandatory; */
    /* scroll-snap-type: y proximity; */
    /* scroll-padding-top: var(--navigation-height); */
}

body {
    font-family: "Poppins", "Lato", sans-serif;
}

html,
body {
    overflow: visible !important;
}

* {
    outline: none !important;
}

*:focus {
    box-shadow: none !important;
}

a {
    text-decoration: none;
    color: var(--uwebi-font-primary);
}

a:hover {
    color: var(--uwebi-font-secondary);
}

.uwebi-link-none {
    text-decoration: none;
}

.uwebi-header-margin-top {
    margin-top: var(--navigation-height) !important;
}

.uwebi-anchor {
    scroll-margin-top: calc(var(--navigation-height) + 20px);
}

.uwebi-hcaptcha-wrapper {
    position: relative;
    overflow: hidden;
    max-width: 100%;
}

.uwebi-cursor-pointer {
    cursor: pointer !important;
}

.uwebi-gradient-text {
    background: #1d1d1f;
    background-clip: text;
    -webkit-text-fill-color: rgba(0, 0, 0, 0);
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    background-image: var(--gradient);
}

/* -----------------------------------------------------
   UWEBI DISPLAY
----------------------------------------------------- */
.uwebi-display-1 {
    font-size: 2.25rem;
    font-weight: 300;
    line-height: 1.1;
    letter-spacing: -0.02em;
}

.uwebi-display-2 {
    font-size: 1.85rem;
    font-weight: 300;
    line-height: 1.1;
    letter-spacing: -0.01em;
}

.uwebi-display-3 {
    font-size: 1.55rem;
    font-weight: 400;
    line-height: 1.2;
}

.uwebi-display-4 {
    font-size: 1.35rem;
    font-weight: 400;
    line-height: 1.2;
}

.uwebi-display-5 {
    font-size: 1.15rem;
    font-weight: 500;
    line-height: 1.2;
}

.uwebi-display-6 {
    font-size: 0.95rem;
    font-weight: 600;
    line-height: 1.2;
    text-transform: uppercase;
    letter-spacing: 0.05em;
}

/* -----------------------------------------------------
   HEADER
----------------------------------------------------- */
.uwebi-header {
    /* min-height: var(--navigation-height) !important; */
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    transform: translateY(-100%);
    transition: transform 0.35s ease;
}

.uwebi-header.show-header {
    transform: translateY(0);
}

.uwebi-logo-responsive {
    height: 40px;
    width: auto;
}

/* .uwebi-header-min-widht {
    min-width: 180px !important;
} */

/* -----------------------------------------------------
   NAVIGATION
----------------------------------------------------- */
.uwebi-navbar-background {
    background-color: rgba(var(--uwebi-primary-rgb), 0.75) !important;
}

.uwebi-transparent-background {
    background-color: transparent !important;
}

.uwebi-main-nav {
    /* min-height: var(--navigation-height); */
    color: var(--uwebi-font-primary) !important;
}


/* --uwebi-font-secondary: #b9bdc0;
    --uwebi-font-primary: #F9FBFD; */

.uwebi-main-nav:hover {
    color: var(--uwebi-font-secondary) !important;
}

.uwebi-navbar-toggle {
    /* border-color: var(--uwebi-light-green) !important;
    color: var(--uwebi-light-green) !important; */
    border-color: var(--uwebi-font-primary) !important;
    color: var(--uwebi-font-primary) !important;
}

.uwebi-navbar-toggle:hover {
    border-color: var(--uwebi-font-secondary) !important;
    color: var(--uwebi-font-secondary) !important;
}

.uwebi-main-nav-links li a {
    position: relative;
    display: inline-block;
    text-decoration: none;
}

.uwebi-main-nav-links li a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 5px;
    width: 0%;
    height: 2px;
    background-color: var(--uwebi-font-primary);
    transform: translateX(-50%) scaleX(0);
    transform-origin: center;
}

.uwebi-main-nav-links li a:hover::after {
    margin: 0;
    width: 100%;
    transition: all 0.4s ease;
    transform: translateX(-50%) scaleX(1);
}

/* -----------------------------------------------------
   CONTENT
----------------------------------------------------- */


/* -----------------------------------------------------
   FOOTER
----------------------------------------------------- */
.uwebi-footer {
    border-top: 1px solid rgba(var(--uwebi-light-green-rgb), 0.08);
}

.uwebi-footer-copy {
    font-size: 0.6rem !important;
    opacity: 0.85;
}

.uwebi-footer-navigation {
    list-style: none;
}

.uwebi-footer a {
    color: var(--uwebi-font-primary);
    text-decoration: none;
    transition: color 0.25s ease;
}

.uwebi-footer a:hover {
    color: var(--uwebi-font-secondary);
}

/* -----------------------------------------------------
   // NOTE BACKGROUND
----------------------------------------------------- */
.uwebi-bg-main {
    background: var(--uwebi-primary) !important;
}

.uwebi-bg-light-green {
    background: var(--uwebi-light-green) !important;
}

.uwebi-bg-first-contrast {
    background: var(--uwebi-first-contrast) !important;
}

.uwebi-bg-second-contrast {
    background: var(--uwebi-second-contrast) !important;
}

.uwebi-bg-third-contrast {
    background: var(--uwebi-third-contrast) !important;
}

.uwebi-bg-fourth-contrast {
    background: var(--uwebi-fourth-contrast) !important;
}

/* -----------------------------------------------------
   // NOTE COLOR
----------------------------------------------------- */
.uwebi-font-main {
    color: var(--uwebi-primary) !important;
}

.uwebi-font-light-green {
    color: var(--uwebi-light-green) !important;
}

.uwebi-font-first-contrast {
    color: var(--uwebi-first-contrast) !important;
}

.uwebi-font-second-contrast {
    color: var(--uwebi-second-contrast) !important;
}

.uwebi-font-first-contrast {
    color: var(--uwebi-first-contrast) !important;
}

.uwebi-font-fourth-contrast {
    color: var(--uwebi-fourth-contrast) !important;
}

.uwebi-font-primary {
    color: var(--uwebi-font-primary) !important;
}

.uwebi-font-secondary {
    color: var(--uwebi-font-secondary) !important;
}

/* -----------------------------------------------------
   // NOTE UWEBI BORDER COLOR ONLY (Using RGB for Opacity)
----------------------------------------------------- */
.uwebi-border-main {
    border-color: var(--uwebi-primary) !important;
}

.uwebi-border-main-soft {
    border-color: rgba(var(--uwebi-primary-rgb), 0.2) !important;
}

.uwebi-border-light-green {
    border-color: var(--uwebi-light-green) !important;
}

.uwebi-border-light-green-soft {
    border-color: rgba(var(--uwebi-light-green-rgb), 0.2) !important;
}

.uwebi-border-first-contrast {
    border-color: var(--uwebi-first-contrast) !important;
}

.uwebi-border-first-contrast-soft {
    border-color: rgba(var(--uwebi-first-contrast-rgb), 0.2) !important;
}

.uwebi-border-second-contrast {
    border-color: var(--uwebi-second-contrast) !important;
}

.uwebi-border-second-contrast-soft {
    border-color: rgba(var(--uwebi-second-contrast-rgb), 0.2) !important;
}

.uwebi-border-third-contrast {
    border-color: var(--uwebi-third-contrast) !important;
}

.uwebi-border-third-contrast-soft {
    border-color: rgba(var(--uwebi-third-contrast-rgb), 0.2) !important;
}

.uwebi-border-fourth-contrast {
    border-color: var(--uwebi-fourth-contrast) !important;
}

.uwebi-border-fourth-contrast-soft {
    border-color: rgba(var(--uwebi-fourth-contrast-rgb), 0.2) !important;
}

.uwebi-border-primary {
    border-color: var(--uwebi-font-primary) !important;
}

.uwebi-border-primary-soft {
    border-color: rgba(var(--uwebi-font-primary-rgb), 0.2) !important;
}

.uwebi-border-secondary {
    border-color: var(--uwebi-font-secondary) !important;
}

.uwebi-border-secondary-soft {
    border-color: rgba(var(--uwebi-font-secondary-rgb), 0.2) !important;
}

/* -----------------------------------------------------
   // NOTE SLIDE
----------------------------------------------------- */
.uwebi-slide-outer {
    position: relative;
    overflow: hidden;
}

.uwebi-slide-inner-right {
    position: relative;
    /* transform: translateX(100%); */
    transform: translateX(80px);
    opacity: 0;
    transition: transform 1.2s ease-out, opacity 1.2s ease-out;
}

.uwebi-slide-inner-left {
    transform: translateX(-80px);
    opacity: 0;
    transition: transform 1.2s ease-out, opacity 1.2s ease-out;
}

.uwebi-slide-inner-up {
    transform: translateY(200px);
    opacity: 0;
    transition: transform 1.2s ease-out, opacity 1.2s ease-out;
}

.uwebi-slide-inner-up-item {
    transform: translateY(40px);
    opacity: 0;
    transition: transform 2.2s ease-out, opacity 2.2s ease-out;
}

.uwebi-slide-inner-down {
    transform: translateY(-200px);
    opacity: 0;
    transition: transform 0.8s ease-out, opacity 0.8s ease-out;
}

.uwebi-slide-outer.uwebi-start .uwebi-slide-inner-left,
.uwebi-slide-outer.uwebi-start .uwebi-slide-inner-right {
    transform: translateX(0);
    opacity: 1;
}

.uwebi-slide-outer.uwebi-start .uwebi-slide-inner-up,
.uwebi-slide-outer.uwebi-start .uwebi-slide-inner-up-item,
.uwebi-slide-outer.uwebi-start .uwebi-slide-inner-down {
    transform: translateY(0);
    opacity: 1;
}

/* -----------------------------------------------------
   // NOTE CARD
----------------------------------------------------- */
.uwebi-card {
    position: relative;
    border: 1px solid var(--uwebi-second-contrast);
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 0.35) !important;
    transition: all 0.75s ease;
}

.uwebi-card:hover {
    border-color: var(--uwebi-font-secondary);
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 1) !important;
    transform: scale(1.01);
}

.uwebi-service-icon {
    width: 70px;
    height: 70px;
    background: var(--uwebi-primary);
    color: var(--uwebi-light-green);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    font-size: 1.5rem;
    border: 1px solid var(--uwebi-second-contrast);
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 1) !important;
    transition: all 0.75s ease;
}

.uwebi-card:hover .uwebi-service-icon {
    border-color: var(--uwebi-font-secondary);
    box-shadow: 0 0px 8px rgba(var(--uwebi-blue-rgb), 1) !important;
    color: var(--uwebi-blue);
    transform: scale(1.02);
}

.ref-url-effect {
    color: var(--uwebi-font-primary) !important;
}

.uwebi-card:hover .ref-url-effect {
    color: var(--uwebi-font-secondary) !important;
    text-decoration: underline;
}

/* -----------------------------------------------------
   // NOTE SHADOW
----------------------------------------------------- */
.uwebi-box-shadow {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

.uwebi-light-green-box-shadow {
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 1) !important;
}

.uwebi-light-green-box-shadow-smooth {
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 0.5) !important;
}

.uwebi-light-green-box-shadow-smooth:hover {
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 0.5) !important;
}

.uwebi-light-green-box-shadow-soft {
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 0.2) !important;
}

.uwebi-light-green-box-shadow-soft:hover {
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 0.2) !important;
}

/* .webi-blue-box-shadow {
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 1) !important;
} */

.uwebi-blue-box-shadow:hover {
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 1) !important;
}

/* -----------------------------------------------------
   // NOTE ICONS
----------------------------------------------------- */
.uwebi-icon-box-w40 {
    width: 40px !important;
    min-width: 40px !important;
}

.uwebi-icon-box-w60 {
    width: 60px !important;
    min-width: 60px !important;
}

.uwebi-icon-box-w80 {
    width: 80px !important;
    min-width: 80px !important;
}

.uwebi-icon-box-h40 {
    height: 40px !important;
    min-height: 40px !important;
}

.uwebi-icon-box-h60 {
    height: 60px !important;
    min-height: 60px !important;
}

.uwebi-icon-box-h80 {
    height: 80px !important;
    min-height: 80px !important;
}

.uwebi-icon {
    color: var(--uwebi-light-green);
    transition: all 0.9s ease;
}

.uwebi-icon-hover:hover .uwebi-icon {
    color: var(--uwebi-blue);
    transform: scale(1.2);
}

/* -----------------------------------------------------
   // NOTE WIDTH
----------------------------------------------------- */
.uwebi-max-width-400 {
    max-width: 400px !important;
}
.uwebi-max-width-500 {
    max-width: 500px !important;
}
.uwebi-max-width-600 {
    max-width: 600px !important;
}
.uwebi-max-width-700 {
    max-width: 700px !important;
}
.uwebi-max-width-800 {
    max-width: 800px !important;
}

/* -----------------------------------------------------
   // NOTE CTA SECTION (uWebi Style)
----------------------------------------------------- */
.uwebi-btn-cta {
    position: relative;
    overflow: hidden;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: var(--uwebi-first-contrast);
    color: var(--uwebi-font-primary);
    border: 1px solid var(--uwebi-second-contrast);
    box-shadow: 0 0px 5px rgba(var(--uwebi-light-green-rgb), 0.35) !important;
    font-size: 1rem;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.25s ease;
}

.uwebi-btn-cta:hover {
    border-color: var(--uwebi-font-secondary) !important;
    box-shadow: 0 0px 5px rgba(var(--uwebi-blue-rgb), 0.70) !important;
    color: var(--uwebi-blue) !important;
}

.uwebi-btn-cta:active {
    color: var(--uwebi-blue) !important;
    transform: scale(0.98);
}

.uwebi-transition-all {
    transition: all 0.25s ease-in-out !important;
}

.uwebi-btn-cta-glow::after {
    content: "";
    position: absolute;
    top: 0;
    left: -40%;
    width: 40%;
    height: 100%;
    background: linear-gradient(90deg,
            transparent,
            rgba(169, 221, 255, 0.25),
            transparent);

    opacity: 0;
    pointer-events: none;

    animation: uwebi-cta-glow 30s infinite;
}

@keyframes uwebi-cta-glow {
    0% {
        left: -40%;
        opacity: 0;
    }

    3% {
        opacity: 1;
    }

    6% {
        left: 100%;
        opacity: 0;
    }

    100% {
        left: 100%;
        opacity: 0;
    }
}

.uwebi-icon-pulse {
    display: inline-block;
    animation: uwebi-icon-pulse 30s ease-in-out infinite;
}

@keyframes uwebi-icon-pulse {
    0% {
        transform: scale(1);
    }

    2% {
        transform: scale(0.8);
    }

    4% {
        transform: scale(1.10);
    }

    6% {
        transform: scale(0.8);
    }

    8% {
        transform: scale(1.10);
    }

    10% {
        transform: scale(1);
    }

    100% {
        transform: scale(1);
    }
}

/* -----------------------------------------------------
   // NOTE RESONSIVE
----------------------------------------------------- */
@media (max-width: 576px) {}

@media (max-width: 450px) {
    .uwebi-logo-responsive {
        height: 30px;
    }
}

@media (max-width: 280px) {
    .uwebi-logo-responsive {
        height: 20px;
    }
}

@media (max-width: 210px) {
    .uwebi-logo-responsive {
        height: 15px;
    }
}

@media (max-width: 180px) {
    .uwebi-logo-responsive {
        height: 10px;
    }
}